CombiningIterator (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers.collection
Class CombiningIterator<T>

    java.lang.Object
      org.neo4j.helpers.collection.PrefetchingIterator<T>
          org.neo4j.helpers.collection.CombiningIterator<T>

Type Parameters:
  `T` - the type of items in the iteration.

All Implemented Interfaces:
  Iterator<T>

    public class CombiningIterator<T>

extends PrefetchingIterator<T>

Combining one or more `Iterator`s, making them look like they were one big iterator. All iteration/combining is done lazily.

Constructor Summary
`CombiningIterator(Iterable<? extends Iterator<T>> iterators)`
`CombiningIterator(T first, Iterator<T> rest)`

Method Summary
`protected Iterator<T>` | `currentIterator()`
`protected T` | `fetchNextOrNull()`

Methods inherited from class org.neo4j.helpers.collection.PrefetchingIterator
`getPrefetchedNextOrNull, hasNext, next, remove, setPrefetchedNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombiningIterator

    public CombiningIterator(Iterable<? extends Iterator<T>> iterators)

### CombiningIterator

    public CombiningIterator(T first,
                             Iterator<T> rest)

Method Detail

### fetchNextOrNull

    protected T fetchNextOrNull()

  Specified by:
    `fetchNextOrNull` in class `PrefetchingIterator<T>`

### currentIterator

    protected Iterator<T> currentIterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.